{ pkgs, ... }:
{
  services.openssh.settings.AllowUsers = [ "macan" ];

  programs.fish.enable = true;

  users.users.macan = {
    isNormalUser = true;
    description = "macan";
    uid = 1002;
    extraGroups = [ ];
    openssh.authorizedKeys = {
      keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAID+VwmEaHwGHqoSlyWgOZDEc0eSMIcr0vNAHNeqWUone macan"
      ];
    };
    shell = pkgs.fish;
  };
}
